#    Copyright (C) 2002-2005  Corporation of Balclutha. All rights Reserved.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
try:
    from Products.CMFPlone.tests import PloneTestCase
except:
    # well, there's no point doing the test!!
    exit

ZopeTestCase.installProduct('CMFPlone')
ZopeTestCase.installProduct('Zpydoc')

class TestZpydoc(PloneTestCase.PloneTestCase):
    """
    Testing with Plone install and Plone skins ...
    """
    def testIt(self):
	self.portal.manage_addProduct['Zpydoc'].manage_addZpydoc()
        self.failUnless('Zpydoc' in self.portal.objectIds())
	zpydoc = self.portal.Zpydoc
	self.failUnless(self.portal.portal_types.Zpydoc)

	self.portal.portal_quickinstaller.installProduct('Zpydoc')
	self.failUnless(self.portal.portal_skins.zpydoc.zpydoc_view)

	zpydoc.renderers.manage_addProduct['Zpydoc'].manage_addZopeRenderer()
	zpydoc.manage_addProduct['Zpydoc'].manage_addZpyDocumentable(os.path.dirname(os.path.dirname(__file__)), 'Zope')
	getattr(zpydoc, '0')._file_permissions['Zpydoc'] = {'anonymous':1}

	# f**k knows why it AttributeError's on 'zpydoc_view'...
        #self.failUnless(zpydoc.zpydoc_view())

if __name__ == '__main__':
    framework()
else:
    def test_suite():
        from unittest import TestSuite, makeSuite
        suite = TestSuite()
        suite.addTest(makeSuite(TestZpydoc))
        return suite
